%define ver_progsreiserfs 0.3.1-rc8

Summary:	Tool to check and undelete partition
Name:		testdisk
Version:	7.0
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
Source1:	progsreiserfs-%{ver_progsreiserfs}.tar.bz2
# Upstream patch
Patch0:		progsreiserfs-journal.patch
# Another upstream patch
Patch1:		progsreiserfs-file-read.patch
URL:		http://www.cgsecurity.org/wiki/TestDisk

BuildRequires:	e2fsprogs-devel
BuildRequires:	libewf-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libuuid-devel
BuildRequires:	ncurses-devel
BuildRequires:	ntfs-3g-devel
BuildRequires:	zlib-devel
BuildRequires:	qt4-devel
BuildRequires:	desktop-file-utils

%package -n photorec
Summary:	Data recovery software
Group:		System/Kernel and hardware

%description
Tool to check and undelete partition. Works with the following
filesystems:
    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS, Compressed File System
    * DOS/Windows FAT12, FAT16 and FAT32
    * XBox FATX
    * Windows exFAT
    * HFS, HFS+ and HFSX, Hierarchical File System
    * JFS, IBM's Journaled File System
    * Linux btrfs
    * Linux ext2, ext3 and ext4
    * Linux GFS2
    * Linux LUKS encrypted partition
    * Linux RAID md 0.9/1.0/1.1/1.2
        ** RAID 1: mirroring
        ** RAID 4: striped array with parity device
        ** RAID 5: striped array with distributed parity information
        ** RAID 6: striped array with distributed dual redundancy information
    * Linux Swap (versions 1 and 2)
    * LVM and LVM2, Linux Logical Volume Manager
    * Mac partition map
    * Novell Storage Services NSS
    * NTFS ( Windows NT/2000/XP/2003/Vista/2008/7 )
    * ReiserFS 3.5, 3.6 and 4
    * Sun Solaris i386 disklabel
    * Unix File System UFS and UFS2 (Sun/BSD/...)
    * XFS, SGI's Journaled File System
    * Wii WBFS 
    * Sun ZFS

%description -n photorec
PhotoRec is file data recovery software designed to recover lost files
including video, documents and archives from Hard Disks and CDRom and lost
pictures (thus, its 'Photo Recovery' name) from digital camera memory.

PhotoRec ignores the filesystem and goes after the underlying data, so it
will still work even if your media's filesystem has been severely damaged
or re-formatted.

%prep
%setup -q -a 1 -D -n %{name}-%{version}
%patch0
%patch1

%build
export PATH=%qt4dir/bin:$PATH
pushd progsreiserfs-%{ver_progsreiserfs}
	%configure2_5x --disable-Werror
	%make
popd

%configure2_5x
%make

%install
%makeinstall_std 

#handle docs in files section
rm -rf %{buildroot}/%{_docdir}

%files
%doc AUTHORS ChangeLog INFO NEWS README THANKS
%{_bindir}/fidentify
%{_bindir}/testdisk
%{_mandir}/man8/testdisk.8*
%{_mandir}/man8/fidentify.8*
%{_mandir}/*/man8/testdisk.8.*
%{_mandir}/*/man8/fidentify.8*

%files -n photorec
%doc AUTHORS ChangeLog INFO NEWS README THANKS
%{_bindir}/photorec
%{_datadir}/applications/qphotorec.desktop
%{_iconsdir}/hicolor/*/apps/qphotorec.*
%{_bindir}/qphotorec
%{_mandir}/man8/*photorec.8*
%{_mandir}/*/man8/*photorec.8*


%changelog
* Thu Jun 29 2017 adrianomorselli <adrianomorselli> 7.0-2uplos2017
- rebuild for newer ntfs-3g
- added qt4 export setting
